size(300,0);

currentpen += fontsize(10);

real PI = 3.14159265358979323846264338327950288419716939937508;

// random phi for incoming ray, just so axes don't align 
// and mistakes in the remaining code come to light.
real phi_i = 45;

// Surface Normal
triple n = (0,0,-1);

// Incident Ray (this is a direction vector). 
triple i = -dir(-(90-graze), phi_i);

// Reflected ray
triple r = i - 2 * dot(i, n) * n;

// base vectors for planes
// v is in the plane of the reflecting surface (it is
// perpendicular to n) and in the plane of specular reflection
// (it is perpendicular to u, which is perpendicular to r_i)

triple u = unit(cross(r, n ));
triple v = cross(n, u);
triple q = cross(r,u);

// incident angle
real theta_i = dot(i,v);
real alpha = PI/2 - theta_i;

// fractional radius for angle arcs
real ang_rad = 0.6;

// smaller arrows for arcs
arrowbar3 small_arcarrows = ArcArrows3( 0.8 * arcarrowsize(currentpen));
