#ifndef MirrorDatabase_h
#define MirrorDatabase_h

// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of scatter
//
// scatter is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// scatter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the
//       Free Software Foundation, Inc.
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#include <iostream>
#include <sstream>
#include <string>

#include <tracefctxx/TraceFct.h>
#include <Exception/Exception.h>
#include <rdbxx/RDB.h>

using namespace std;

namespace Scatter {

    class MirrorDatabase {
    public:
	MirrorDatabase( const string& mirrordb, const int surfno, const int shell );
	~MirrorDatabase( void ) { };

	double z0( void ) const { return _z0; };

    protected:
	string _mirror;
	double _z0;
    };

}

#endif // #ifndef MirrorDatabase_h
